<?php
/**
 * Rebar - Reading Progress Bar for WordPress, exclusively on Envato Market: https://1.envato.market/rebar-wp
 * @encoding     UTF-8
 * @version      1.0.2
 * @copyright    Copyright (C) 2019 Merkulove ( https://merkulov.design/ ). All rights reserved.
 * @license      Envato Standard License https://1.envato.market/KYbje
 * @author       Alexandr Khmelnytsky ( info@alexander.khmelnitskiy.ua )
 * @support      dmitry@merkulov.design
 **/

/** 
 * Runs on Uninstall of Rebar plugin.
 **/

/** Check that we should be doing this. */
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
    header( 'Status: 403 Forbidden' );
    header( 'HTTP/1.1 403 Forbidden' );
    exit;
}

/** Delete Options. */
$settings = 'md_rebar_settings';

if ( is_multisite() ) { // For Multisite.
    if (get_site_option($settings)) {
        delete_site_option($settings);
    }
} else { 
    if (get_option($settings)) {
        delete_option($settings);
    }    
}